<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.motion.widget.MotionLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:id="@+id/ml_login"
    android:background="@drawable/dingdian_pic_background_sys"
    app:layoutDescription="@xml/home_fragment_userlogin_scene">


    <ImageView
        android:id="@+id/iv_clogo"
        android:layout_width="120dp"
        android:layout_height="120dp"
        android:layout_gravity="center"
        android:layout_marginTop="1100dp"
        android:background="@drawable/home_circle_background"
        android:padding="20dp"
        android:src="@drawable/dingdian_jixieshou"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <Spinner
        android:id="@+id/et_home_username"
        android:layout_width="506dp"
        android:layout_height="100dp"
        android:layout_marginTop="40dp"
        android:background="@drawable/home_rectangle_background"
        android:drawablePadding="10dp"
        android:paddingStart="20dp"
        android:text="Admin"
        android:textSize="32sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.507"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/iv_clogo" />


    <!--    <EditText-->
    <!--        android:visibility="gone"-->
    <!--        android:layout_width="506dp"-->
    <!--        android:layout_height="110dp"-->
    <!--        android:layout_marginTop="60dp"-->
    <!--        android:drawableLeft="@drawable/icon_yonghu"-->
    <!--        android:paddingLeft="20dp"-->
    <!--        android:textSize="32sp"-->
    <!--        android:text="Admin"-->
    <!--        android:drawablePadding="10dp"-->
    <!--        android:background="@drawable/home_rectangle_background"-->
    <!--        app:layout_constraintEnd_toEndOf="parent"-->
    <!--        app:layout_constraintHorizontal_bias="0.507"-->
    <!--        app:layout_constraintStart_toStartOf="parent"-->
    <!--        app:layout_constraintTop_toBottomOf="@+id/iv_clogo" />-->

    <EditText
        android:id="@+id/et_home_password"
        android:layout_width="506dp"
        android:layout_height="100dp"
        android:layout_marginTop="40dp"
        android:background="@drawable/home_rectangle_background"
        android:drawableStart="@drawable/icon_mima"
        android:drawablePadding="10dp"
        android:inputType="textPassword"
        android:paddingStart="20dp"
        android:textSize="32sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/et_home_username" />

    <TextView
        android:id="@+id/tv_deviceId"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="50dp"
        android:layout_marginEnd="50dp"
        android:text="设备编号：1234123412341234"
        android:textColor="@color/white"
        android:textSize="26sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/home_return_to_upper_level"
        android:layout_width="wrap_content"
        android:layout_height="90dp"
        android:layout_marginTop="20dp"
        android:layout_marginEnd="50dp"
        android:background="@drawable/home_rectangle_blue_background"
        android:drawableStart="@drawable/pic_back_01"
        android:drawablePadding="10dp"
        android:gravity="center"
        android:minWidth="290dp"
        android:padding="15dp"
        android:paddingHorizontal="10dp"
        android:text="@string/base_home_back_user"
        android:textColor="@color/white"
        android:textSize="32sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_deviceId" />

    <TextView
        android:id="@+id/home_login_setting"
        android:layout_width="506dp"
        android:layout_height="100dp"
        android:layout_marginTop="40dp"
        android:background="@drawable/home_rectangle_gradient_background"
        android:gravity="center"
        android:text="@string/base_home_login"
        android:textColor="@color/white"
        android:textSize="42sp"
        android:textStyle="bold"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/et_home_password" />

    <TextView
        android:id="@+id/tv_back_time"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="20dp"
        android:layout_marginTop="50dp"
        android:text="60"
        android:textColor="@color/white"
        android:textSize="32sp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

</androidx.constraintlayout.motion.widget.MotionLayout>